# xarray.DataArray.rename

`DataArray.``rename`(new_name_or_name_dict: Union[Hashable, Mapping[Hashable, Hashable]] = None, **names) → xarray.core.dataarray.DataArray

  Returns a new DataArray with renamed coordinates or a new name.

  Parameters:

  - new_name_or_name_dict (str or dict-like, optional) – If the argument is dict-like, it used as a mapping from old names to new names for coordinates. Otherwise, use the argument as the new name for this array.
  - **names (hashable, optional) – The keyword arguments form of a mapping from old names to new names for coordinates. One of new_name_or_name_dict or names must be provided.

  Returns: | renamed – Renamed array or array with renamed coordinates.
  Return type: | DataArray

  See also

  `Dataset.rename()`, `DataArray.swap_dims()`